GET /api/v1/recipes/{id}/boosts

Public No authentication required.

Returns the accounts that boosted the specified recipe, most recent boost first. Publicly accessible without authentication.

Parameters

NameInRequiredTypeDescription
idpathyesinteger

Request body

None.

Example request

curl --request GET \
  --url https://cookifed.example/api/v1/recipes/{id}/boosts \
  --header 'Accept: application/json'
const options = {method: 'GET', headers: {Accept: 'application/json'}};

fetch('https://cookifed.example/api/v1/recipes/{id}/boosts', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
import requests

url = "https://cookifed.example/api/v1/recipes/{id}/boosts"

headers = {"Accept": "application/json"}

response = requests.get(url, headers=headers)

print(response.text)
require 'uri'
require 'net/http'

url = URI("https://cookifed.example/api/v1/recipes/{id}/boosts")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'

response = http.request(request)
puts response.read_body
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://cookifed.example/api/v1/recipes/{id}/boosts"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}

Responses

200 OK

boosters

Response header Link string

Pagination links following RFC 5988 (Web Linking).

The Link header may contain one or more relations:

  • rel="next" — URL of the next page
  • rel="prev" — URL of the previous page
  • rel="first" — URL of the first page
  • rel="last" — URL of the last page

Example: https://example.com/api/v1/recipes?page=2; rel=“next”, https://example.com/api/v1/recipes?page=1; rel=“first”

Array of account_output:

id integer required
username string required
name string required
summary string required
summary_html string required
instance string required
avatar object required
Show fields
original string required
small string required
medium string required
state string one of unknown, loading, loaded required

The account’s current sync status. - unknown: We don’t know anything about this account. It may not even exist. - loading: We have loaded this account’s direct information, and are currently loading the statuses. - loaded: We have loaded the data from this account. Note that this doesn’t mean we actually have 100% of the data. There could be new data we haven’t loaded yet, or that wasn’t delivered to us. Local and managed accounts always have a state of loaded.

following_count integer required
followers_count integer required
like_id integer nullable required

Example response

[
  {
    "id": 0,
    "username": "string",
    "name": "string",
    "summary": "string",
    "summary_html": "string",
    "instance": "string",
    "avatar": {
      "original": "string",
      "small": "string",
      "medium": "string"
    },
    "state": "unknown",
    "following_count": 0,
    "followers_count": 0,
    "like_id": 0
  }
]